| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_CORE_DESCS_T Struct Reference
USB Core Layer

## Detailed Description

USB descriptors data structure.

This structure is used as part of USB device stack initialisation parameter structure USBD_API_INIT_PARAM_T. This structure contains pointers to various descriptor arrays needed by the stack. These descriptors are reported to USB host as part of enumerations process.

Note
  All descriptor pointers assigned in this structure should be on 4 byte aligned address boundary.

This structure is used as part of USB device stack initialisation parameter structure USBD_API_INIT_PARAM_T. This structure contains pointers to various descriptor arrays needed by the stack. These descriptors are reported to USB host as part of enumerations process.

Note
  All descriptor pointers assigned in this structure should be on 4 byte aligned address boundary.

Definition at line 36 of file usbd_api.h.

`#include "usbd_api.h"`

## Data Fields
uint8_t * | device_desc
uint8_t * | string_desc
uint8_t * | full_speed_desc
uint8_t * | high_speed_desc
uint8_t * | device_qualifier

## Field Documentation

uint8_t * device_desc

Pointer to USB device descriptor

Definition at line 40 of file usbd_api.h.

uint8_t * device_qualifier

Pointer to USB device qualifier descriptor. For full-speed only implementation this pointer should be set to null (0).

Definition at line 44 of file usbd_api.h.

uint8_t * full_speed_desc

Pointer to USB device configuration descriptor when device is operating in full speed mode.

Definition at line 42 of file usbd_api.h.

uint8_t * high_speed_desc

Pointer to USB device configuration descriptor when device is operating in high speed mode. For full-speed only implementation this pointer should be same as full_speed_desc.

Definition at line 43 of file usbd_api.h.

uint8_t * string_desc

Pointer to array of USB string descriptors

Definition at line 41 of file usbd_api.h.

The documentation for this struct was generated from the following files:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/usbd_rom/usbd_api.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/lpc_core/lpc_ip/usbd_rom/usbd_core.h
- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Core/DCD/USBRom/usbd_core.h